Core - Task # 55526

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL

Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Rejected Priority: Should have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-01-31 Assigned To:

Updated: 2014-02-10 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: Impexp: missing fields of sys_file on import

Description

The fields are not written by the Datahandler because they are not defined in tca:
- identifier_hash
- folder_hash
- extension
- creation_date
- modification_date

Related issues:
related to Core - Task # 55532: Impexp: import the binary files being sys_fil... Resolved

2014-01-31

History

#1 - 2014-02-05 15:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27358

#2 - 2014-02-05 20:54 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#3 - 2014-02-10 11:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Rejected
- Assigned To deleted (Marc Bastian Heinrichs)

- Target version deleted (6.2.0)

- % Done changed from 80 to 0

sys_file should not be written by DataHandler.

The other not required fields of sys_file in TCA should be removed.

An additional option could be to prevent writing sys_file for DataHandler by e.g. throwing an
exception. Steffen has this on his list.
https://review.typo3.org/27358

#4 - 2014-02-10 17:15 - Marc Bastian Heinrichs
- % Done changed from 0 to 100
